- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeUndoStack Class Reference
[Ipe Management]

An undo stack for Ipe. More...

List of all members.

## Public Member Functions

- IpeUndoStack ()
- ~IpeUndoStack ()
- void Clear ()
- void Add (IpeUndoItem *item)
- int Undo (IpeDocument *doc)
- int Redo (IpeDocument *doc)
- IpeString UndoText () const
- IpeString RedoText () const
- bool CanUndo () const
- bool CanRedo () const

## Detailed Description

An undo stack for Ipe.

## Constructor & Destructor Documentation

IpeUndoStack::IpeUndoStack | ( |  | ) |

Create empty undo stack.

IpeUndoStack::~IpeUndoStack | ( |  | ) |

Destructor destroys all items on stack.

## Member Function Documentation

void IpeUndoStack::Clear | ( |  | ) |

Clears the complete undo stack.

void IpeUndoStack::Add | ( | IpeUndoItem * | item | ) |

Add an undo item to the stack.

If the stack is not at the end, discard remaining items. Takes ownership of item.

int IpeUndoStack::Undo | ( | IpeDocument * | doc | ) |

Perform an undo operation.

int IpeUndoStack::Redo | ( | IpeDocument * | doc | ) |

Perform a redo operation.

IpeString IpeUndoStack::UndoText | ( |  | ) | const

Return text for possible undo operation.

IpeString IpeUndoStack::RedoText | ( |  | ) | const

Return text for possible redo operation.

bool IpeUndoStack::CanUndo | ( |  | ) | const`[inline]`

Is an Undo action available?

bool IpeUndoStack::CanRedo | ( |  | ) | const`[inline]`

Is a Redo action available?

The documentation for this class was generated from the following files:

- ipeundo.h
- ipeundo.cpp